org.apache.bcel

## Interface ExceptionConstants

- Deprecated.
  (since 6.0) DO NOT USE - use ExceptionConst instead

      @Deprecated
      public interface ExceptionConstants

  Exception constants.
  Version:
    $Id: ExceptionConstants.java 1806200 2017-08-25 16:33:06Z ggregory $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Class<AbstractMethodError>` | `ABSTRACT_METHOD_ERROR` Deprecated.
    `static Class<ArithmeticException>` | `ARITHMETIC_EXCEPTION` Deprecated.
    `static Class<ArrayIndexOutOfBoundsException>` | `ARRAY_INDEX_OUT_OF_BOUNDS_EXCEPTION` Deprecated.
    `static Class<ClassCastException>` | `CLASS_CAST_EXCEPTION` Deprecated.
    `static Class<ClassCircularityError>` | `CLASS_CIRCULARITY_ERROR` Deprecated. Linking Exceptions
    `static Class<ClassFormatError>` | `CLASS_FORMAT_ERROR` Deprecated.
    `static Class<ExceptionInInitializerError>` | `EXCEPTION_IN_INITIALIZER_ERROR` Deprecated.
    `static Class<?>[]` | `EXCS_ARRAY_EXCEPTION` Deprecated.
    `static Class<?>[]` | `EXCS_CLASS_AND_INTERFACE_RESOLUTION` Deprecated. Do not use these arrays, use the static methods in the ExceptionConst implementation class instead
    `static Class<?>[]` | `EXCS_FIELD_AND_METHOD_RESOLUTION` Deprecated.
    `static Class<?>[]` | `EXCS_INTERFACE_METHOD_RESOLUTION` Deprecated.
    `static Class<?>[]` | `EXCS_STRING_RESOLUTION` Deprecated.
    `static Class<IllegalAccessError>` | `ILLEGAL_ACCESS_ERROR` Deprecated.
    `static Class<IllegalMonitorStateException>` | `ILLEGAL_MONITOR_STATE` Deprecated.
    `static Class<IncompatibleClassChangeError>` | `INCOMPATIBLE_CLASS_CHANGE_ERROR` Deprecated.
    `static Class<InstantiationError>` | `INSTANTIATION_ERROR` Deprecated.
    `static Class<LinkageError>` | `LINKING_EXCEPTION` Deprecated. Super class of any linking exception (aka Linkage Error)
    `static Class<NegativeArraySizeException>` | `NEGATIVE_ARRAY_SIZE_EXCEPTION` Deprecated.
    `static Class<NoClassDefFoundError>` | `NO_CLASS_DEF_FOUND_ERROR` Deprecated.
    `static Class<NoSuchFieldError>` | `NO_SUCH_FIELD_ERROR` Deprecated.
    `static Class<NoSuchMethodError>` | `NO_SUCH_METHOD_ERROR` Deprecated.
    `static Class<NullPointerException>` | `NULL_POINTER_EXCEPTION` Deprecated. Run-Time Exceptions
    `static Class<RuntimeException>` | `RUNTIME_EXCEPTION` Deprecated. Super class of any run-time exception
    `static Class<Throwable>` | `THROWABLE` Deprecated. The mother of all exceptions
    `static Class<UnsatisfiedLinkError>` | `UNSATISFIED_LINK_ERROR` Deprecated.
    `static Class<VerifyError>` | `VERIFY_ERROR` Deprecated.

- - ### Field Detail

    - #### THROWABLE

          static final Class<Throwable> THROWABLE

      Deprecated.
      The mother of all exceptions

    - #### RUNTIME_EXCEPTION

          static final Class<RuntimeException> RUNTIME_EXCEPTION

      Deprecated.
      Super class of any run-time exception

    - #### LINKING_EXCEPTION

          static final Class<LinkageError> LINKING_EXCEPTION

      Deprecated.
      Super class of any linking exception (aka Linkage Error)

    - #### CLASS_CIRCULARITY_ERROR

          static final Class<ClassCircularityError> CLASS_CIRCULARITY_ERROR

      Deprecated.
      Linking Exceptions

    - #### CLASS_FORMAT_ERROR

          static final Class<ClassFormatError> CLASS_FORMAT_ERROR

      Deprecated.

    - #### EXCEPTION_IN_INITIALIZER_ERROR

          static final Class<ExceptionInInitializerError> EXCEPTION_IN_INITIALIZER_ERROR

      Deprecated.

    - #### INCOMPATIBLE_CLASS_CHANGE_ERROR

          static final Class<IncompatibleClassChangeError> INCOMPATIBLE_CLASS_CHANGE_ERROR

      Deprecated.

    - #### ABSTRACT_METHOD_ERROR

          static final Class<AbstractMethodError> ABSTRACT_METHOD_ERROR

      Deprecated.

    - #### ILLEGAL_ACCESS_ERROR

          static final Class<IllegalAccessError> ILLEGAL_ACCESS_ERROR

      Deprecated.

    - #### INSTANTIATION_ERROR

          static final Class<InstantiationError> INSTANTIATION_ERROR

      Deprecated.

    - #### NO_SUCH_FIELD_ERROR

          static final Class<NoSuchFieldError> NO_SUCH_FIELD_ERROR

      Deprecated.

    - #### NO_SUCH_METHOD_ERROR

          static final Class<NoSuchMethodError> NO_SUCH_METHOD_ERROR

      Deprecated.

    - #### NO_CLASS_DEF_FOUND_ERROR

          static final Class<NoClassDefFoundError> NO_CLASS_DEF_FOUND_ERROR

      Deprecated.

    - #### UNSATISFIED_LINK_ERROR

          static final Class<UnsatisfiedLinkError> UNSATISFIED_LINK_ERROR

      Deprecated.

    - #### VERIFY_ERROR

          static final Class<VerifyError> VERIFY_ERROR

      Deprecated.

    - #### NULL_POINTER_EXCEPTION

          static final Class<NullPointerException> NULL_POINTER_EXCEPTION

      Deprecated.
      Run-Time Exceptions

    - #### ARRAY_INDEX_OUT_OF_BOUNDS_EXCEPTION

          static final Class<ArrayIndexOutOfBoundsException> ARRAY_INDEX_OUT_OF_BOUNDS_EXCEPTION

      Deprecated.

    - #### ARITHMETIC_EXCEPTION

          static final Class<ArithmeticException> ARITHMETIC_EXCEPTION

      Deprecated.

    - #### NEGATIVE_ARRAY_SIZE_EXCEPTION

          static final Class<NegativeArraySizeException> NEGATIVE_ARRAY_SIZE_EXCEPTION

      Deprecated.

    - #### CLASS_CAST_EXCEPTION

          static final Class<ClassCastException> CLASS_CAST_EXCEPTION

      Deprecated.

    - #### ILLEGAL_MONITOR_STATE

          static final Class<IllegalMonitorStateException> ILLEGAL_MONITOR_STATE

      Deprecated.

    - #### EXCS_CLASS_AND_INTERFACE_RESOLUTION

          @Deprecated
          static final Class<?>[] EXCS_CLASS_AND_INTERFACE_RESOLUTION

      Deprecated. Do not use these arrays, use the static methods in the ExceptionConst implementation class instead
      Pre-defined exception arrays according to chapters 5.1-5.4 of the Java Virtual Machine Specification

    - #### EXCS_FIELD_AND_METHOD_RESOLUTION

          @Deprecated
          static final Class<?>[] EXCS_FIELD_AND_METHOD_RESOLUTION

      Deprecated.

    - #### EXCS_INTERFACE_METHOD_RESOLUTION

          @Deprecated
          static final Class<?>[] EXCS_INTERFACE_METHOD_RESOLUTION

      Deprecated.

    - #### EXCS_STRING_RESOLUTION

          @Deprecated
          static final Class<?>[] EXCS_STRING_RESOLUTION

      Deprecated.

    - #### EXCS_ARRAY_EXCEPTION

          @Deprecated
          static final Class<?>[] EXCS_ARRAY_EXCEPTION

      Deprecated.

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.